/// <reference types="node" />
/// <reference types="node" />
import { Socket } from 'net';
import { SocketProvider } from 'web3-utils';
import { EthExecutionAPI, Web3APIMethod, Web3APIPayload, Web3APISpec, Web3ProviderStatus } from 'web3-types';
export default class IpcProvider<API extends Web3APISpec = EthExecutionAPI> extends SocketProvider<Buffer | string, CloseEvent, Error, API> {
    private _connectionStatus;
    protected _socketConnection?: Socket;
    constructor(socketPath: string);
    getStatus(): Web3ProviderStatus;
    connect(): void;
    protected _closeSocketConnection(code?: number, data?: string): void;
    protected _sendToSocket<Method extends Web3APIMethod<API>>(payload: Web3APIPayload<API, Method>): void;
    protected _onCloseEvent(event: CloseEvent): void;
    protected _parseResponses(e: Buffer | string): import("web3-types").JsonRpcResponse<import("web3-types").JsonRpcResult, import("web3-types").JsonRpcResult>[];
    protected _onClose(event: CloseEvent): void;
    protected _addSocketListeners(): void;
    protected _removeSocketListeners(): void;
    protected _clearQueues(event?: CloseEvent): void;
    protected _onConnect(): void;
    protected _onDisconnect(code?: number, data?: string): void;
}
//# sourceMappingURL=index.d.ts.map